Summary:	A Nomad Jukebox manager
Name:		gnomad2
Version:	2.9.6
Release:	%mkrel 16
License:	GPLv2+
Group:		Communications/Mobile
URL:		https://gnomad2.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/gnomad2/gnomad2/Gnomad%20%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-werror_format_security.patch
Patch1:		1001-gtk_set_can_default.patch
Patch2:		1002-gtk2_to_gtk3.patch
Patch3:		gcc-10.patch
Patch4:		missing-prototypes.patch
BuildRequires:	pkgconfig(libnjb) >= 2.2.4
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(libmtp) >= 0.3.0
BuildRequires:	pkgconfig(taglib_c)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	intltool

%description
Gnomad 2 is a GUI built on top of GTK/GNOME, libid3tag and libnjb that
makes it possible to transfer tracks and files from/to a
Creative Nomad Jukebox (all brands). It is designed much like
an ordinary graphical FTP program.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%find_lang %{name}

install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
for i in 16x16 32x32 48x48; do
    convert -resize $i %{name}-logo.png %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}-logo.png
done

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-logo.png
%{_iconsdir}/hicolor/*/apps/%{name}-logo.png
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.9.6-16.mga10
+ Revision: 2228550
- Mageia 10 Mass Rebuild

* Fri Oct 04 2024 daviddavid <daviddavid> 2.9.6-15.mga10
+ Revision: 2103278
- rebuild for new taglib 2.0.2

* Wed Sep 25 2024 daviddavid <daviddavid> 2.9.6-14.mga10
+ Revision: 2101103
- add debian patches to port to gtk+3 and to fix build

* Sun Apr 03 2022 umeabot <umeabot> 2.9.6-13.mga9
+ Revision: 1841413
- Mageia 9 Mass Rebuild

* Tue Jun 30 2020 joequant <joequant> 2.9.6-12.mga8
+ Revision: 1600701
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 2.9.6-11.mga8
+ Revision: 1512598
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.9.6-10.mga7
+ Revision: 1297948
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 2.9.6-9.mga6
+ Revision: 938903
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.6-8.mga5
+ Revision: 747875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.6-7.mga5
+ Revision: 679697
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.9.6-6.mga4
+ Revision: 505047
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.9.6-5.mga3
+ Revision: 351955
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 2.9.6-4.mga3
+ Revision: 322867
- update RPM group

* Tue Feb 07 2012 tv <tv> 2.9.6-3.mga2
+ Revision: 206195
- fix too big icon in menu

* Sun Jul 17 2011 fwang <fwang> 2.9.6-2.mga2
+ Revision: 125202
- rebuild for new libmtp

* Thu Jul 07 2011 ahmad <ahmad> 2.9.6-1.mga2
+ Revision: 119722
- Update to 2.9.6
- Adjust the BuildRequires
- Clean the spec a bit
- Install the icons in hicolor

* Wed Mar 23 2011 tv <tv> 2.9.4-3.mga1
+ Revision: 75932
- cleanup
- imported package gnomad2


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.9.4-3mdv2011.0
+ Revision: 619028
- the mass rebuild of 2010.0 packages

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.9.4-2mdv2010.0
+ Revision: 437757
- rebuild

* Wed Feb 11 2009 Emmanuel Andry <eandry@mandriva.org> 2.9.4-1mdv2009.1
+ Revision: 339584
- BR intltool
- New version 0.9.4
- diff P0 to fix string format literal

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Sep 06 2008 Emmanuel Andry <eandry@mandriva.org> 2.9.2-1mdv2009.0
+ Revision: 281949
- New version
- drop patch (merged upstream)

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 2.9.1-2mdv2009.0
+ Revision: 238252
- add patch to build with libmtp 0.3.0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 2.9.1-1mdv2008.1
+ Revision: 161789
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 2.9.0-2mdv2008.1
+ Revision: 102622
- rebuild for new libmtp

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.9.0-1mdv2008.0
+ Revision: 81209
- New version
- buildrequires taglib-devel
- remove icon extension in desktop file (thanks to adamw)

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 2.8.12-2mdv2008.0
+ Revision: 59035
- rebuild against latest libmtp

* Mon May 21 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.8.12-1mdv2008.0
+ Revision: 29008
- new release: 2.8.12


* Wed Jan 24 2007 Emmanuel Andry <eandry@mandriva.org> 2.8.10-1mdv2007.0
+ Revision: 112816
- New release 2.8.10

* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.9-2mdv2007.1
+ Revision: 94379
- rebuild for new libmtp

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.9-1mdv2007.1
+ Revision: 90255
- New version 2.8.9
  build with libmtp
- Import gnomad2

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 2.8.6-2mdv2007.0
- fix Debian menu
- fix buildrequires

* Wed Aug 23 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.6-1mdv2007.0
- New release 2.8.6
- xdg menu

* Fri Apr 14 2006 Jerome Soyer <saispo@mandriva.org> 2.8.3-1mdk
- New release 2.8.3

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 2.8.2-3mdk
- fix buildrequires

* Sat Dec 24 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.8.2-2mdk
- Add BuildRequires: perl-XML-Parser

* Thu Dec 22 2005 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- fix buildrequires
- fix configure call
- New release 2.8.2

* Sat Jul 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.8.0-1mdk
- 2.8.0

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.7.1-2mdk
- no bz2 ending for man page

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.7.1-1mdk
- 2.7.1
- %%mkrel

* Thu Dec 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.0-1mdk
- 2.5.0

* Sun Jun 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.4-1mdk
- 2.4.4

